Skip to main content
GET
/
alpha
/
public
/
products
/
{slug}
Get public product by slug
curl --request GET \
  --url https://api.auctionnow.io/api/alpha/public/products/{slug}
{
  "data": {
    "_id": "<string>",
    "_creationTime": 123,
    "title": "<string>",
    "description": "<string>",
    "slug": "<string>",
    "handle": "<string>",
    "images": [
      {
        "_id": "<string>",
        "url": "<string>"
      }
    ],
    "merchant": {
      "handle": "<string>",
      "shopName": "<string>"
    },
    "price": 123,
    "shippingCostUS": 123,
    "shippingCostInternational": 123,
    "quantity": 123,
    "quantityAvailable": 123,
    "status": "INSTOCK",
    "productType": "PHYSICAL",
    "type": "AUCTION_AND_PRODUCT",
    "details": {}
  },
  "timestamp": 123,
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.auctionnow.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

slug
string
required

The product's unique slug

Response

Product detail

data
object
required

Product detail

timestamp
number
required
message
string